﻿public class FastFishing : Mod
{
    private HarmonyLib.Harmony harmony;
    private static string modId = "com.raftmodding.mods.fast-fishing";
    public void Start()
    {
        harmony = new HarmonyLib.Harmony(modId);
        harmony.PatchAll();
    }
    public void OnModUnload()
    {
        harmony.UnpatchAll(modId);
    }
    [HarmonyLib.HarmonyPatch(typeof(Bobber), "FishOnHook", new System.Type[] { typeof(float) })]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_Bobber_FishOnHook
    {
        static void Prefix(ref float timeDelay)
        {
            timeDelay = 0f;
        }
    }
    [HarmonyLib.HarmonyPatch(typeof(Bobber), "FishEscaped", new System.Type[] { typeof(float) })]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_Bobber_FishEscaped
    {
        static void Prefix(ref float timeDelay)
        {
            timeDelay *= 10;
        }
    }
}
